Package csb :: Package bio :: Package io :: Module vasco :: Class ShiftInfo

[frames] | no frames]

# Class ShiftInfo

source code

    object --+
             |
            ShiftInfo

Instance Methods

__init__(self, residue_id, amino_acid, nucleus, shift, element, secondary_structure) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) str(x) | source code

__str__(self) str(x) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, residue_id, amino_acid, nucleus, shift, element, secondary_structure)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

str(x)

Overrides: object.__repr__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)